class BothAPIS:
    wag_api = None
    local_api = None


class BaseAPI:
    ACCESS_TOKEN_TAG: str = "evyos-session-key"
    headers: dict = {
        "domain": "evyos.com.tr",
        "Content-Type": "application/json",
        "Accept": "application/json",
    }


class LocalAPI(BaseAPI):

    base_url: str = "http://127.0.0.1:41575/"


class WagAPI(BaseAPI):

    base_url: str = "http://10.10.2.46:41575/"


class ActiveAPI(BaseAPI):

    base_url: str = LocalAPI.base_url
